A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< double > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = f64 , ctype = f32 }
typedef double | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 54 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef double base_type

Definition at line 59 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 55 of file traits.hpp.

55 {
56 af_type = f64 ,
57 ctype = f32
58 };
f32
@ f32
32-bit floating point values
Definition defines.h:211
f64
@ f64
64-bit floating point values
Definition defines.h:213
af::dtype_traits< double >::af_type
@ af_type
Definition traits.hpp:56
af::dtype_traits< double >::ctype
@ ctype
Definition traits.hpp:57

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 60 of file traits.hpp.

60{ return "double"; }

The documentation for this struct was generated from the following file:

- traits.hpp